<?php
/**
 * @category   Alogic
 * @package    Alogic_Productregistration
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Productregistration\Block;

/**
 * Productregistration content block
 */
class Productregistration extends \Magento\Framework\View\Element\Template {
	public function __construct(
		\Magento\Framework\View\Element\Template\Context $context
	) {
		parent::__construct($context);
	}

	public function _prepareLayout() {

		$title = __('Register your products');

		$breadcrumbsBlock = $this->getLayout()->getBlock('breadcrumbs');
		$breadcrumbsBlock->addCrumb(
			'home',
			[
				'label' => __('Home'),
				'title' => __('Go to Home Page'),
				'link' => $this->_storeManager->getStore()->getBaseUrl(),
			]
		);

		$breadcrumbsBlock->addCrumb('productregistration', ['label' => $title, 'title' => $title]);

		$this->pageConfig->getTitle()->set($title);
		return parent::_prepareLayout();
	}
}
